// Importiere die notwendigen Typen aus Redux
import { Reducer } from 'redux';

// Definiere den Zustandstyp
export type JwtState = string | null;

// Aktionstypen
const SET_JWT = 'SET_JWT';
const REMOVE_JWT = 'REMOVE_JWT';

// Aktionstypen definieren
type SetJwtAction = {
  type: typeof SET_JWT;
  jwt: string;
};

type RemoveJwtAction = {
  type: typeof REMOVE_JWT;
};

export type JwtAction = SetJwtAction | RemoveJwtAction;

// Der Reducer
const jwtReducer: Reducer<JwtState, JwtAction> = (state = null, action) => {
  switch (action.type) {
    case SET_JWT:
      return action.jwt;
    case REMOVE_JWT:
      return null;
    default:
      return state;
  }
};

export default jwtReducer;
export { SET_JWT, REMOVE_JWT };
