import { createStore, combineReducers, Store } from 'redux';
import jwtReducer, { JwtState, JwtAction } from './jwtReducer';
import { persistStore, persistReducer } from 'redux-persist';
import storage from 'redux-persist/lib/storage';

const rootReducer = combineReducers({
  jwt: jwtReducer,
});

export interface RootState {
  jwt: JwtState;
}

//neu
const persistConfig = {
  key: 'root', // Hier kannst du einen beliebigen Key wählen
  storage,
};

//neu
const persistedReducer = persistReducer(persistConfig, rootReducer);

//neu
const store: Store<RootState, JwtAction> = createStore(
  persistedReducer, // Verwende den persistierten Reducer
);
//const store: Store<RootState, JwtAction> = createStore(rootReducer, applyMiddleware(thunk));

//neu
const persistor = persistStore(store);

export {store, persistor};

